# List securities transfers

List securities transfers

Endpoint: GET /securities_transfers
Version: 1.137.0
Security: oauth-client-credentials

## Query parameters:

  - `direction` (string, required)
    Filter the list by transfer direction.

  - `sort` (string)
    Sort the result by `created_at`, `updated_at`.

  - `order` (string)
    Sort order of the result list if the `sort` parameter is specified. Use `ASC` for ascending or `DESC` for descending sort order.

  - `offset` (integer)
    Use the `offset` argument to specify where in the list of results to start when returning items for a particular query.

  - `limit` (integer)
    Use the `limit` argument to specify the maximum number of items returned.

  - `user_id` (string)
    Filters results by user ID. Universally Unique Identifier (UUID).

  - `account_id` (string)
    Filters results by account ID. Universally Unique Identifier (UUID).

  - `account_group_id` (string)
    Filters results by account group ID. Universally Unique Identifier (UUID).

  - `status` (string)
    Status of the securities transfer 
* NEW - Securities transfer is created but not started processing. 
* PROCESSING - Securities transfer is in processing. 
* SETTLED - Securities transfer was successfully settled. 
* CANCELLED - Securities transfer was cancelled.

## Header parameters:

  - `upvest-client-id` (string, required)
    Your client ID, issued by Upvest. Identifies the client making the request. Universally Unique Identifier (UUID).

  - `Authorization` (string, required)
    Bearer (access) token from the OAuth flow with correct scopes.
https://datatracker.ietf.org/doc/html/rfc6750

  - `signature` (string, required)
    https://tools.ietf.org/id/draft-ietf-httpbis-message-signatures-01.html#name-the-signature-http-header

  - `signature-input` (string, required)
    https://tools.ietf.org/id/draft-ietf-httpbis-message-signatures-01.html#name-the-signature-input-http-he

  - `upvest-api-version` (string)
    Upvest API version (Note: Do not include quotation marks)

## Response 200 fields (application/json):

  - `meta` (object, required)

  - `meta.offset` (integer, required)
    Amount of resource to offset in the response.

  - `meta.limit` (integer, required)
    Total limit of the response.

  - `meta.count` (integer, required)
    Count of the resources returned in the response.

  - `meta.total_count` (integer, required)
    Total count of all the resources.

  - `meta.sort` (string)
    The field that the list is sorted by.

  - `meta.order` (string)
    The ordering of the response.
* ASC - Ascending order
* DESC - Descending order
    Enum: "ASC", "DESC"

  - `data` (array, required)

  - `data.id` (string, required)
    Securities transfer request unique identifier.

  - `data.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `data.updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `data.direction` (string, required)
    Direction of the securities transfer
* `INCOMING` - Securities transfer is incoming to the user.
* `OUTGOING` - Securities transfer is outgoing from the user.
    Enum: "INCOMING", "OUTGOING"

  - `data.status` (string, required)
    Status of the securities transfer
* `NEW` - Securities transfer is created but not started processing.
* `PROCESSING` - Securities transfer is in processing.
* `SETTLED` - Securities transfer was successfully settled.
* `CANCELLED` - Securities transfer was cancelled.
    Enum: "NEW", "PROCESSING", "SETTLED", "CANCELLED"

  - `data.transfer_type` (string, required)
    Type of the securities transfer
* `NO_OWNER_CHANGE` - No change of ownership.
    Enum: "NO_OWNER_CHANGE"

  - `data.instrument_id` (string, required)
    `ISIN` or other identity (depends on instrument_id_type) of the security to be transferred.

  - `data.instrument_id_type` (string, required)
    Type of the instrument_id
* `ISIN` - International Securities Identification Number
    Enum: "ISIN"

  - `data.quantity` (string, required)
    The quantity of instrument to move in or out.

  - `data.quantity_settled` (string)
    The quantity of instruments settled.

  - `data.user_id` (string, required)
    Unique identifier of the user, as a UUID.

  - `data.account_id` (string, required)
    Account unique identifier.

  - `data.place_of_settlement` (string)
    Business Identifier Code (also known as SWIFT-BIC, BIC, SWIFT ID or SWIFT code) [ISO 9362](https://en.wikipedia.org/wiki/ISO_9362).

  - `data.settlement_reference` (string, required)
    Unique identifier of the securities transfer set by API consumers. Useful for API consumers to build special logic on top of it.
*NOTE: For automatic incoming transfers where API users will subscribe to the corresponding webhook, the value is set by Upvest!*

  - `data.counterparty` (any, required)
    Counterparty for securities transfer. The `type` field determines which counterparty variant is present in the payload.

  - `data.counterparty.type` (string, required)
    Type of the counterparty.

  - `data.counterparty.id` (string, required)
    Business Identifier Code (also known as SWIFT-BIC, BIC, SWIFT ID or SWIFT code) [ISO 9362](https://en.wikipedia.org/wiki/ISO_9362).

  - `data.counterparty.account_number` (string)
    The account number is composed of valid Swift charset with a max length of 28 if provided. The account number helps other brokers identify the owner of the assets.

  - `data.counterparty.name` (string)
    The name is going to be split into 4 lines of 35 characters, the split is space based. This means that even if the name is exactly 140 of length, we may drop out the last parts if they don't fit into 4x35.

  - `data.settlement_counterparties` (object)
    Settlement counterparties for the securities transfer.
When `settlement_counterparties` is provided, `settlement_agent` is required. Other participants are optional but must respect the following dependency rules:
* `settlement_custodian` presence requires `settlement_party` to be present.
* `settlement_intermediary_1` presence requires `settlement_custodian` to be present.
* `settlement_intermediary_2` presence requires `settlement_intermediary_1` to be present.

Note: `settlement_custodian` can be provided without an explicit `settlement_party` since the default `counterparty` field at transfer level serves as the settlement party.

  - `data.settlement_counterparties.settlement_agent` (object, required)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `data.settlement_counterparties.settlement_agent.identification` (object, required)
    Identification of a settlement counterparty.
* `BIC` Party identified by BIC.
* `PROPRIETARY` Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` Party identified by name and address.

  - `data.settlement_counterparties.settlement_agent.identification.type` (string, required)
    Type of identification.
* `BIC` - Party identified by BIC.
* `PROPRIETARY` - Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `data.settlement_counterparties.settlement_agent.identification.value` (string, required)
    Identification value. The format depends on the `type`:
* For `BIC`: A valid BIC code.
* For `PROPRIETARY`: A proprietary identifier under the given `scheme`.
* For `NAME_AND_ADDRESS`: Name and address of the party.

  - `data.settlement_counterparties.settlement_agent.identification.scheme` (string)
    ISO Data Source Scheme code. **Required** when `type` is `PROPRIETARY`. Identifies the source of the proprietary identification (e.g. `CRST`, `DAKV`, `CEDE`).

  - `data.settlement_counterparties.settlement_agent.account` (object)
    Account of a settlement counterparty.
* `SAFE` - Safekeeping account.

  - `data.settlement_counterparties.settlement_agent.account.type` (string, required)
    Type of the account.
* `SAFE` - Safekeeping account.
    Enum: "SAFE"

  - `data.settlement_counterparties.settlement_agent.account.value` (string, required)
    Account identifier value.

  - `data.settlement_counterparties.settlement_custodian` (object)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `data.settlement_counterparties.settlement_custodian.identification` (object, required)
    Identification of a settlement counterparty.
* `BIC` Party identified by BIC.
* `PROPRIETARY` Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` Party identified by name and address.

  - `data.settlement_counterparties.settlement_custodian.identification.type` (string, required)
    Type of identification.
* `BIC` - Party identified by BIC.
* `PROPRIETARY` - Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `data.settlement_counterparties.settlement_custodian.identification.value` (string, required)
    Identification value. The format depends on the `type`:
* For `BIC`: A valid BIC code.
* For `PROPRIETARY`: A proprietary identifier under the given `scheme`.
* For `NAME_AND_ADDRESS`: Name and address of the party.

  - `data.settlement_counterparties.settlement_custodian.identification.scheme` (string)
    ISO Data Source Scheme code. **Required** when `type` is `PROPRIETARY`. Identifies the source of the proprietary identification (e.g. `CRST`, `DAKV`, `CEDE`).

  - `data.settlement_counterparties.settlement_custodian.account` (object)
    Account of a settlement counterparty.
* `SAFE` - Safekeeping account.

  - `data.settlement_counterparties.settlement_custodian.account.type` (string, required)
    Type of the account.
* `SAFE` - Safekeeping account.
    Enum: "SAFE"

  - `data.settlement_counterparties.settlement_custodian.account.value` (string, required)
    Account identifier value.

  - `data.settlement_counterparties.settlement_intermediary_1` (object)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `data.settlement_counterparties.settlement_intermediary_1.identification` (object, required)
    Identification of a settlement counterparty.
* `BIC` Party identified by BIC.
* `PROPRIETARY` Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` Party identified by name and address.

  - `data.settlement_counterparties.settlement_intermediary_1.identification.type` (string, required)
    Type of identification.
* `BIC` - Party identified by BIC.
* `PROPRIETARY` - Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `data.settlement_counterparties.settlement_intermediary_1.identification.value` (string, required)
    Identification value. The format depends on the `type`:
* For `BIC`: A valid BIC code.
* For `PROPRIETARY`: A proprietary identifier under the given `scheme`.
* For `NAME_AND_ADDRESS`: Name and address of the party.

  - `data.settlement_counterparties.settlement_intermediary_1.identification.scheme` (string)
    ISO Data Source Scheme code. **Required** when `type` is `PROPRIETARY`. Identifies the source of the proprietary identification (e.g. `CRST`, `DAKV`, `CEDE`).

  - `data.settlement_counterparties.settlement_intermediary_1.account` (object)
    Account of a settlement counterparty.
* `SAFE` - Safekeeping account.

  - `data.settlement_counterparties.settlement_intermediary_1.account.type` (string, required)
    Type of the account.
* `SAFE` - Safekeeping account.
    Enum: "SAFE"

  - `data.settlement_counterparties.settlement_intermediary_1.account.value` (string, required)
    Account identifier value.

  - `data.settlement_counterparties.settlement_intermediary_2` (object)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `data.settlement_counterparties.settlement_intermediary_2.identification` (object, required)
    Identification of a settlement counterparty.
* `BIC` Party identified by BIC.
* `PROPRIETARY` Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` Party identified by name and address.

  - `data.settlement_counterparties.settlement_intermediary_2.identification.type` (string, required)
    Type of identification.
* `BIC` - Party identified by BIC.
* `PROPRIETARY` - Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `data.settlement_counterparties.settlement_intermediary_2.identification.value` (string, required)
    Identification value. The format depends on the `type`:
* For `BIC`: A valid BIC code.
* For `PROPRIETARY`: A proprietary identifier under the given `scheme`.
* For `NAME_AND_ADDRESS`: Name and address of the party.

  - `data.settlement_counterparties.settlement_intermediary_2.identification.scheme` (string)
    ISO Data Source Scheme code. **Required** when `type` is `PROPRIETARY`. Identifies the source of the proprietary identification (e.g. `CRST`, `DAKV`, `CEDE`).

  - `data.settlement_counterparties.settlement_intermediary_2.account` (object)
    Account of a settlement counterparty.
* `SAFE` - Safekeeping account.

  - `data.settlement_counterparties.settlement_intermediary_2.account.type` (string, required)
    Type of the account.
* `SAFE` - Safekeeping account.
    Enum: "SAFE"

  - `data.settlement_counterparties.settlement_intermediary_2.account.value` (string, required)
    Account identifier value.

  - `data.settlement_counterparties.settlement_party` (object)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `data.settlement_counterparties.settlement_party.identification` (object, required)
    Identification of a settlement counterparty.
* `BIC` Party identified by BIC.
* `PROPRIETARY` Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` Party identified by name and address.

  - `data.settlement_counterparties.settlement_party.identification.type` (string, required)
    Type of identification.
* `BIC` - Party identified by BIC.
* `PROPRIETARY` - Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `data.settlement_counterparties.settlement_party.identification.value` (string, required)
    Identification value. The format depends on the `type`:
* For `BIC`: A valid BIC code.
* For `PROPRIETARY`: A proprietary identifier under the given `scheme`.
* For `NAME_AND_ADDRESS`: Name and address of the party.

  - `data.settlement_counterparties.settlement_party.identification.scheme` (string)
    ISO Data Source Scheme code. **Required** when `type` is `PROPRIETARY`. Identifies the source of the proprietary identification (e.g. `CRST`, `DAKV`, `CEDE`).

  - `data.settlement_counterparties.settlement_party.account` (object)
    Account of a settlement counterparty.
* `SAFE` - Safekeeping account.

  - `data.settlement_counterparties.settlement_party.account.type` (string, required)
    Type of the account.
* `SAFE` - Safekeeping account.
    Enum: "SAFE"

  - `data.settlement_counterparties.settlement_party.account.value` (string, required)
    Account identifier value.

  - `data.trade_date` (string, required)
    The forecast date when the trade takes place. Date in YYYY-MM-DD format.

  - `data.settlement_date` (string, required)
    The forecast date when the settlement takes place. Date in YYYY-MM-DD format.

  - `data.actual_settlement_date` (string)
    The date when the transfer settled, only known in `SETTLED` status. Date in YYYY-MM-DD format.

  - `data.order_date` (string)
    Optional. Date the transfer request was received from the end user. The regulatory deadline runs from this date. Date in YYYY-MM-DD format.

  - `data.delay_reason` (string)
    Categorised reason why a securities transfer is delayed past the regulatory deadline.
* `COUNTERPARTY_NOT_INSTRUCTING` - The counterparty has not yet instructed the transfer.
* `COUNTERPARTY_NOT_RESPONDING` - The counterparty is not responding.
* `COUNTERPARTY_DOES_NOT_AGREE_TO_DELIVERY_DETAILS` - The counterparty does not agree to the delivery details.
* `COUNTERPARTY_NOT_ACCEPTING` - The counterparty is not accepting the transfer.
    Enum: "COUNTERPARTY_NOT_INSTRUCTING", "COUNTERPARTY_NOT_RESPONDING", "COUNTERPARTY_DOES_NOT_AGREE_TO_DELIVERY_DETAILS", "COUNTERPARTY_NOT_ACCEPTING"

## Response 400 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 401 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 403 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 406 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 429 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 500 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 503 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 504 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

